Status: Closed Start date: 2012-09-19

Priority: Normal Due date:  

Assignee: Ingo Lütkebohle % Done: 100%

Category: datamapper Estimated time: 8.00 hours

Target version: 2.0   

Description

Ideal wäre, wenn das die XML-IDL lesen könnte, dann müsste man nicht zwei IDLs pflegen.

Associated revisions

Revision 2611 - 2012-11-14 16:00 - Ingo Lütkebohle

Implement first DAPI provider for JSON values (refs #109)

Revision 2613 - 2012-11-14 16:02 - Ingo Lütkebohle

add dapi-json to modules (refs #109)

History

#1 - 2012-11-13 14:02 - Ingo Lütkebohle

- Status changed from New to In Progress

- Estimated time set to 4.00

#2 - 2012-11-14 16:04 - Ingo Lütkebohle

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

- Estimated time changed from 4.00 to 8.00

Realized basically, for flat JSON structures only.

As a definition language, the rosmsg language has been re-used, with '@'-annotations and index-specifiers for array sub-access added (see r2606

and r2608).
